Page MenuHomeFreeBSD

sysutils/linux-crashplan: Update to 4.8.3
ClosedPublic

Authored by ultima on Aug 9 2017, 4:24 AM.

Details

Summary
  • Updated to 4.8.3
  • Cleanup Makefile

PR\: 220926
Submitted by\: Nuno Subtil
Reviewed by\: lifanov (mentor), matthew (mentor)
Approved by\: lifanov (mentor), matthew (mentor), Nuno Subtil (maintainer)
Differential Revision\: https://reviews.freebsd.org/DXXXXX

Test Plan

portlint:
WARN: Makefile: possible use of absolute pathname "/var/log/crashplan".
WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
WARN: Makefile: Consider defining LICENSE. Couldn't find license
WARN: Makefile: "RUN_DEPENDS" has to appear earlier. False positive
0 fatal errors and 4 warnings found.

poudriere:
103i386
103amd64
110i386
110amd64
12i386
12amd64

I couldn't download java so I commented it for the QA. Port doesn't build anything so this should be fine.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

ultima created this revision.Aug 9 2017, 4:24 AM
ultima edited the test plan for this revision. (Show Details)Aug 9 2017, 4:25 AM
ultima updated this revision to Diff 31802.Aug 9 2017, 4:27 AM

Moved WRKSRC, to proper section

matthew edited edge metadata.Aug 9 2017, 9:17 AM

Yeah. This depends on java/linux-oracle-jdk18 which requires a manual download of jdk-8u131-linux-i586.tar.gz
from http://www.oracle.com/technetwork/java/javase/downloads/index.html

Except the currently available version is 8u144 and there appears to be no obvious way to obtain older versions.

ultima added a comment.Aug 9 2017, 2:43 PM

Yeah. This depends on java/linux-oracle-jdk18 which requires a manual download of jdk-8u131-linux-i586.tar.gz
from http://www.oracle.com/technetwork/java/javase/downloads/index.html
Except the currently available version is 8u144 and there appears to be no obvious way to obtain older versions.

Well I did find the download[1] but it is a pain to obtain. Requires to login or create an account which I did twice and never received a verification email. At this point maybe I should go to their HQ as it is less than 3 miles from where I live. >.>

[1] http://www.oracle.com/technetwork/java/javase/downloads/java-archive-javase8-2177648.html

lifanov edited edge metadata.Aug 10 2017, 6:09 PM
This comment was removed by lifanov.

Looks like these just got updated to 8u144.

matthew accepted this revision.Aug 11 2017, 7:14 AM

Now that java/linux-oracle-jdk18 has been updated, this builds just fine.

lgtm

This revision is now accepted and ready to land.Aug 11 2017, 7:14 AM
This revision was automatically updated to reflect the committed changes.